SDL_GetRenderScale(3)

NAME
SDL_GetRenderScale - Get the drawing scale for the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderScale(SDL_Renderer *renderer, float *scaleX, float *scaleY);

FUNCTION PARAMETERS

renderer
    the rendering context

scaleX
    a pointer filled in with the horizontal scaling factor

scaleY
    a pointer filled in with the vertical scaling factor

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderScale(3)